<!-- -*- nxml-child-indent: 4; tab-width: 4; indent-tabs-mode: nil -*- -->
<config>
	<!-- For more detailed documentation on typical configuration options please see:
         https://sdk.collaboraonline.com/docs/installation/Configuration.html -->
	<!-- Note: 'default' attributes are used to document a setting's default value as well as to use as fallback. -->
	<!-- Note: When adding a new entry, a default must be set in WSD in case the entry is missing upon deployment. -->
	<accessibility desc="Accessibility settings">
		<enable default="false" desc="Controls whether accessibility support should be enabled or not." type="bool">false</enable>
	</accessibility>
	<allowed_languages default="de_DE en_GB en_US es_ES fr_FR it nl pt_BR pt_PT ru" desc="List of supported languages of Writing Aids (spell checker, grammar checker, thesaurus, hyphenation) on this instance. Allowing too many has negative effect on startup performance.">ru</allowed_languages>
	<!--
        These are the settings of external (remote) spellchecker and grammar checker services. Currently LanguageTool and Duden Korrekturserver APIs are supported, you can
        set either of them. By default they are disabled. To turn the support on, please set "enabled" property to true. It works with self hosted or cloud services, free
        and premium as well. The "base_url" may be https://api.languagetoolplus.com/v2 if the cloud version of LanguageTool is used. Please note that your data in the
        document e.g. the text part of it will be sent to the cloud API. Please read the respective privacy policies, e.g. https://languagetool.org/legal/privacy.
    -->
	<languagetool desc="Remote API settings for spell and grammar checking">
		<enabled default="false" desc="Enable Remote Spell and Grammar Checker" type="bool">false</enabled>
		<base_url default="" desc="HTTP endpoint for the API server, without /check or /languages postfix at the end." type="string"/>
		<user_name default="" desc="LanguageTool or Duden account username for premium usage." type="string"/>
		<api_key default="" desc="API key provided by LanguageTool or Duden account for premium usage." type="string"/>
		<ssl_verification default="true" desc="Enable or disable SSL verification. You may have to disable it in test environments with self-signed certificates." type="string">true</ssl_verification>
		<rest_protocol default="" desc="REST API protocol. For LanguageTool leave it blank, for Duden Korrekturserver use the string 'duden'." type="string"/>
	</languagetool>
	<deepl desc="DeepL API settings for translation service">
		<enabled default="false" desc="If true, shows translate option as a menu entry in the compact view and as an icon in the tabbed view." type="bool">false</enabled>
		<api_url default="" desc="URL for the API" type="string"/>
		<auth_key default="" desc="Auth Key generated by your account" type="string"/>
	</deepl>
	<sys_template_path default="systemplate" desc="Path to a template tree with shared libraries etc to be used as source for chroot jails for child processes." relative="true" type="path"/>
	<child_root_path default="jails" desc="Path to the directory under which the chroot jails for the child processes will be created. Should be on the same file system as systemplate and lotemplate. Must be an empty directory." relative="true" type="path"/>
	<mount_jail_tree default="true" desc="Controls whether the systemplate and lotemplate contents are mounted or not, which is much faster than the default of linking/copying each file." type="bool">true</mount_jail_tree>
	<server_name default="" desc="External hostname:port of the server running coolwsd. If empty, it's derived from the request (please set it if this doesn't work). May be specified when behind a reverse-proxy or when the hostname is not reachable directly." type="string"/>
	<file_server_root_path default="browser/../" desc="Path to the directory that should be considered root for the file server. This should be the directory containing cool." relative="true" type="path"/>
	<hexify_embedded_urls default="false" desc="Enable to protect encoded URLs from getting decoded by intermediate hops. Particularly useful on Azure deployments" type="bool">false</hexify_embedded_urls>
	<experimental_features default="true" desc="Enable/Disable experimental features" type="bool">true</experimental_features>
	<memproportion default="80.0" desc="The maximum percentage of available memory consumed by all of the Collabora Online Development Edition processes, after which we start cleaning up idle documents. If cgroup memory limits are set, this is the maximum percentage of that limit to consume." type="double"/>
	<num_prespawn_children default="4" desc="Number of child processes to keep started in advance and waiting for new clients." type="uint">4</num_prespawn_children>
	<fetch_update_check default="10" desc="Every number of hours will fetch latest version data. Defaults to 10 hours." type="uint">10</fetch_update_check>
	<allow_update_popup default="true" desc="Allows notification about an update in the editor" type="bool">true</allow_update_popup>
	<per_document desc="Document-specific settings, including LO Core settings.">
		<max_concurrency default="4" desc="The maximum number of threads to use while processing a document." type="uint">4</max_concurrency>
		<batch_priority default="5" desc="A (lower) priority for use by batch eg. convert-to processes to avoid starving interactive ones" type="uint">5</batch_priority>
		<bgsave_priority default="5" desc="A (lower) priority for use by background save processes to free time for interactive ones" type="uint">5</bgsave_priority>
		<bgsave_timeout_secs default="120" desc="The default maximum number of seconds to wait for the background save processes to finish before giving up and reverting to synchronous saving" type="uint">120</bgsave_timeout_secs>
		<redlining_as_comments default="false" desc="If true show red-lines as comments" type="bool">false</redlining_as_comments>
		<pdf_resolution_dpi default="96" desc="The resolution, in DPI, used to render PDF documents as image. Memory consumption grows proportionally. Must be a positive value less than 385. Defaults to 96." type="uint">96</pdf_resolution_dpi>
		<idle_timeout_secs default="3600" desc="The maximum number of seconds before unloading an idle document. Defaults to 1 hour." type="uint">3600</idle_timeout_secs>
		<idlesave_duration_secs default="30" desc="The number of idle seconds after which document, if modified, should be saved. Disabled when 0. Defaults to 30 seconds." type="uint">30</idlesave_duration_secs>
		<autosave_duration_secs default="300" desc="The number of seconds after which document, if modified, should be saved. Disabled when 0. Defaults to 5 minutes." type="uint">300</autosave_duration_secs>
		<background_autosave default="true" desc="Allow auto-saves to occur in a forked background process where possible." type="bool">true</background_autosave>
		<background_manualsave default="true" desc="Allow manual save to occur in a forked background process where possible" type="bool">true</background_manualsave>
		<always_save_on_exit default="false" desc="On exiting the last editor, always perform a save and upload if the document had been modified. This is to allow the storage to store the document, if it had skipped doing so, previously, as an optimization." type="bool">false</always_save_on_exit>
		<limit_virt_mem_mb desc="The maximum virtual memory allowed to each document process. 0 for unlimited." type="uint">0</limit_virt_mem_mb>
		<limit_stack_mem_kb desc="The maximum stack size allowed to each document process. 0 for unlimited." type="uint">8000</limit_stack_mem_kb>
		<limit_file_size_mb desc="The maximum file size allowed to each document process to write. 0 for unlimited." type="uint">0</limit_file_size_mb>
		<limit_num_open_files desc="The maximum number of files allowed to each document process to open. 0 for unlimited." type="uint">0</limit_num_open_files>
		<limit_load_secs default="100" desc="Maximum number of seconds to wait for a document load to succeed. 0 for unlimited." type="uint">100</limit_load_secs>
		<limit_store_failures default="5" desc="Maximum number of consecutive save-and-upload to storage failures when unloading the document. 0 for unlimited (not recommended)." type="uint">5</limit_store_failures>
		<limit_convert_secs default="100" desc="Maximum number of seconds to wait for a document conversion to succeed. 0 for unlimited." type="uint">100</limit_convert_secs>
		<min_time_between_saves_ms default="500" desc="Minimum number of milliseconds between saving the document on disk." type="uint">500</min_time_between_saves_ms>
		<min_time_between_uploads_ms default="5000" desc="Minimum number of milliseconds between uploading the document to storage." type="uint">5000</min_time_between_uploads_ms>
		<cleanup desc="Checks for resource consuming (bad) documents and kills associated kit process. A document is considered resource consuming (bad) if is in idle state for idle_time_secs period and memory usage passed limit_dirty_mem_mb or CPU usage passed limit_cpu_per" enable="true">
			<cleanup_interval_ms default="10000" desc="Interval between two checks" type="uint">10000</cleanup_interval_ms>
			<bad_behavior_period_secs default="60" desc="Minimum time period for a document to be in bad state before associated kit process is killed. If in this period the condition for bad document is not met once then this period is reset" type="uint">60</bad_behavior_period_secs>
			<idle_time_secs default="300" desc="Minimum idle time for a document to be candidate for bad state" type="uint">300</idle_time_secs>
			<limit_dirty_mem_mb default="3072" desc="Minimum memory usage for a document to be candidate for bad state" type="uint">3072</limit_dirty_mem_mb>
			<limit_cpu_per default="85" desc="Minimum CPU usage for a document to be candidate for bad state" type="uint">85</limit_cpu_per>
			<lost_kit_grace_period_secs default="120" desc="The minimum grace period for a lost kit process (not referenced by coolwsd) to resolve its lost status before it is terminated. To disable the cleanup of lost kits use value 0">120</lost_kit_grace_period_secs>
		</cleanup>
	</per_document>
	<per_view desc="View-specific settings.">
		<out_of_focus_timeout_secs default="300" desc="The maximum number of seconds before dimming and stopping updates when the browser tab is no longer in focus. Defaults to 300 seconds." type="uint">300</out_of_focus_timeout_secs>
		<idle_timeout_secs default="900" desc="The maximum number of seconds before dimming and stopping updates when the user is no longer active (even if the browser is in focus). Defaults to 15 minutes." type="uint">900</idle_timeout_secs>
		<custom_os_info default="" desc="Custom string shown as OS version in About dialog, get from system if empty." type="string"/>
		<min_saved_message_timeout_secs default="6" desc="The minimum number of seconds before the last modified message is being displayed." type="uint">6</min_saved_message_timeout_secs>
	</per_view>
	<ver_suffix default="" desc="Appended to etags to allow easy refresh of changed files during development" type="string"/>
	<logging>
		<color type="bool">true</color>
		<!--
             Note to developers: When you do "make run", the logging.level will be set on the
             coolwsd command line, so if you want to change it for your testing, do it in
             Makefile.am, not here.
        -->
		<level default="warning" desc="Can be 0-8 (with the lowest numbers being the least verbose), or none (turns off logging), fatal, critical, error, warning, notice, information, debug, trace" type="string">warning</level>
		<level_startup default="trace" desc="As for level - but for the initial startup phase which is most problematic, logging reverts to level configured above when startup is complete" type="string">trace</level_startup>
		<disabled_areas default="Socket,WebSocket,Admin,Pixel" desc="High verbosity logging ie. info to trace are disable-able, comma separated: Generic, Pixel, Socket, WebSocket, Http, WebServer, Storage, WOPI, Admin, Javascript" type="string">Socket,WebSocket,Admin,Pixel</disabled_areas>
		<most_verbose_level_settable_from_client default="notice" desc="A loggingleveloverride message from the client can not set a more verbose log level than this" type="string">notice</most_verbose_level_settable_from_client>
		<least_verbose_level_settable_from_client default="fatal" desc="A loggingleveloverride message from a client can not set a less verbose log level than this" type="string">fatal</least_verbose_level_settable_from_client>
		<protocol desc="Enable minimal client-site JS protocol logging from the start" type="bool">false</protocol>
		<!-- lokit_sal_log example: Log WebDAV-related messages, that is interesting for debugging Insert - Image operation: "+TIMESTAMP+INFO.ucb.ucp.webdav+WARN.ucb.ucp.webdav"
             See also: https://docs.libreoffice.org/sal/html/sal_log.html -->
		<lokit_sal_log default="-INFO-WARN" desc="Fine tune log messages from LOKit. Default is to suppress log messages from LOKit." type="string">-INFO-WARN</lokit_sal_log>
		<file enable="false">
			<!-- If you use other path than /var/log and you run coolwsd from systemd, make sure that you enable that path in coolwsd.service (ReadWritePaths). Also the log file path must be writable by the 'cool' user. -->
			<property desc="Log file path." name="path">/var/log/coolwsd.log</property>
			<property desc="Log file rotation strategy. See Poco FileChannel." name="rotation">never</property>
			<property desc="Append either timestamp or number to the archived log filename." name="archive">timestamp</property>
			<property desc="Enable/disable log file compression." name="compress">true</property>
			<property desc="The maximum age of log files to preserve. See Poco FileChannel." name="purgeAge">10 days</property>
			<property desc="The maximum number of log archives to preserve. Use 'none' to disable purging. See Poco FileChannel." name="purgeCount">10</property>
			<property desc="Enable/disable log file rotation on opening." name="rotateOnOpen">true</property>
			<property desc="Enable/disable flushing after logging each line. May harm performance. Note that without flushing after each line, the log lines from the different processes will not appear in chronological order." name="flush">false</property>
		</file>
		<anonymize>
			<anonymize_user_data default="false" desc="Enable to anonymize/obfuscate of user-data in logs. If default is true, it was forced at compile-time and cannot be disabled." type="bool">false</anonymize_user_data>
			<anonymization_salt default="82589933" desc="The salt used to anonymize/obfuscate user-data in logs. Use a secret 64-bit random number." type="uint">82589933</anonymization_salt>
		</anonymize>
		<docstats default="false" desc="Enable to see document handling information in logs." type="bool">false</docstats>
		<userstats default="false" desc="Enable user stats. i.e: logs the details of a file and user" type="bool">false</userstats>
		<disable_server_audit default="false" desc="Disabled server audit dialog and notification. Admin will no longer see warnings in the application user interface. This doesn't affect log file." type="bool">false</disable_server_audit>
	</logging>
	<canvas_slideshow_enabled default="true" desc="If true, WebGl presentation rendered on the client side is enabled, otherwise interactive SVG is used." type="bool">true</canvas_slideshow_enabled>
	<logging_ui_cmd>
		<merge default="true" desc="If true, repeated commands after each other will be merged into 1 line. If false, every command will be 1 new line." type="bool">true</merge>
		<merge_display_end_time default="false" desc="If true, the duration of the merged command will also be logged." type="bool">true</merge_display_end_time>
		<file enable="false">
			<!-- If you use other path than /var/log and you run coolwsd from systemd, make sure that you enable that path in coolwsd.service (ReadWritePaths). Also the log file path must be writable by the 'cool' user. -->
			<property desc="Log file path." name="path">/var/log/coolwsd-ui-cmd.log</property>
			<property desc="The maximum number of log archives to preserve. Use 'none' to disable purging. See Poco FileChannel." name="purgeCount">10</property>
			<property desc="Enable/disable log file rotation on opening." name="rotateOnOpen">true</property>
			<property desc="Enable/disable flushing after logging each line. May harm performance. Note that without flushing after each line, the log lines from the different processes will not appear in chronological order." name="flush">false</property>
		</file>
	</logging_ui_cmd>
	<!--
         Note to developers: When you do "make run", the trace_event[@enable] will be set on the
         coolwsd command line, so if you want to change it for your testing, do it in Makefile.am,
         not here.
    -->
	<trace_event desc="The possibility to turn on generation of a Chrome Trace Event file" enable="false">
		<path default="/var/log/coolwsd.trace.json" desc="Output path for the Trace Event file, to which they will be written if turned on at run-time" type="string">/var/log/coolwsd.trace.json</path>
	</trace_event>
	<browser_logging default="false" desc="Logging in the browser console">false</browser_logging>
	<trace desc="Dump commands and notifications for replay. When 'snapshot' is true, the source file is copied to the path first." enable="false">
		<path compress="true" desc="Output path to hold trace file and docs. Use '%' for timestamp to avoid overwriting. For example: /some/path/to/cooltrace-%.gz" snapshot="false"/>
		<filter>
			<message desc="Regex pattern of messages to exclude"/>
		</filter>
		<outgoing>
			<record default="false" desc="Whether or not to record outgoing messages">false</record>
		</outgoing>
	</trace>
	<net desc="Network settings">
		<!-- On systems where localhost resolves to IPv6 [::1] address first, when net.proto is all and net.listen is loopback, coolwsd unexpectedly listens on [::1] only.
           You need to change net.proto to IPv4, if you want to use 127.0.0.1. -->
		<proto default="all" desc="Protocol to use IPv4, IPv6 or all for both" type="string">all</proto>
		<listen default="any" desc="Listen address that coolwsd binds to. Can be 'any' or 'loopback'." type="string">any</listen>
		<!-- this allows you to shift all of our URLs into a sub-path from
           https://my.com/browser/a123... to https://my.com/my/sub/path/browser/a123... -->
		<service_root default="" desc="Prefix the base URL for all the pages, websockets, etc. with this path. This includes the discovery URL." type="path"/>
		<post_allow allow="true" desc="Allow/deny client IP address for POST(REST).">
			<host desc="The IPv4 private 192.168 block as plain IPv4 dotted decimal addresses.">192\.168\.[0-9]{1,3}\.[0-9]{1,3}</host>
			<host desc="Ditto, but as IPv4-mapped IPv6 addresses">::ffff:192\.168\.[0-9]{1,3}\.[0-9]{1,3}</host>
			<host desc="The IPv4 loopback (localhost) address.">127\.0\.0\.1</host>
			<host desc="Ditto, but as IPv4-mapped IPv6 address">::ffff:127\.0\.0\.1</host>
			<host desc="The IPv6 loopback (localhost) address.">::1</host>
			<host desc="The IPv4 private 172.16.0.0/12 subnet part 1.">172\.1[6789]\.[0-9]{1,3}\.[0-9]{1,3}</host>
			<host desc="Ditto, but as IPv4-mapped IPv6 addresses">::ffff:172\.1[6789]\.[0-9]{1,3}\.[0-9]{1,3}</host>
			<host desc="The IPv4 private 172.16.0.0/12 subnet part 2.">172\.2[0-9]\.[0-9]{1,3}\.[0-9]{1,3}</host>
			<host desc="Ditto, but as IPv4-mapped IPv6 addresses">::ffff:172\.2[0-9]\.[0-9]{1,3}\.[0-9]{1,3}</host>
			<host desc="The IPv4 private 172.16.0.0/12 subnet part 3.">172\.3[01]\.[0-9]{1,3}\.[0-9]{1,3}</host>
			<host desc="Ditto, but as IPv4-mapped IPv6 addresses">::ffff:172\.3[01]\.[0-9]{1,3}\.[0-9]{1,3}</host>
			<host desc="The IPv4 private 10.0.0.0/8 subnet (Podman).">10\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}</host>
			<host desc="Ditto, but as IPv4-mapped IPv6 addresses">::ffff:10\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}</host>
		</post_allow>
		<lok_allow desc="Allowed hosts as an external data source inside edited files. All allowed post_allow.host and storage.wopi entries are also considered to be allowed as a data source. Used for example in: PostMessage Action_InsertGraphic, =WEBSERVICE() function, external reference in the cell.">
			<host desc="The IPv4 private 192.168 block as plain IPv4 dotted decimal addresses.">192\.168\.[0-9]{1,3}\.[0-9]{1,3}</host>
			<host desc="Ditto, but as IPv4-mapped IPv6 addresses">::ffff:192\.168\.[0-9]{1,3}\.[0-9]{1,3}</host>
			<host desc="The IPv4 loopback (localhost) address.">127\.0\.0\.1</host>
			<host desc="Ditto, but as IPv4-mapped IPv6 address">::ffff:127\.0\.0\.1</host>
			<host desc="The IPv6 loopback (localhost) address.">::1</host>
			<host desc="The IPv4 private 172.16.0.0/12 subnet part 1.">172\.1[6789]\.[0-9]{1,3}\.[0-9]{1,3}</host>
			<host desc="Ditto, but as IPv4-mapped IPv6 addresses">::ffff:172\.1[6789]\.[0-9]{1,3}\.[0-9]{1,3}</host>
			<host desc="The IPv4 private 172.16.0.0/12 subnet part 2.">172\.2[0-9]\.[0-9]{1,3}\.[0-9]{1,3}</host>
			<host desc="Ditto, but as IPv4-mapped IPv6 addresses">::ffff:172\.2[0-9]\.[0-9]{1,3}\.[0-9]{1,3}</host>
			<host desc="The IPv4 private 172.16.0.0/12 subnet part 3.">172\.3[01]\.[0-9]{1,3}\.[0-9]{1,3}</host>
			<host desc="Ditto, but as IPv4-mapped IPv6 addresses">::ffff:172\.3[01]\.[0-9]{1,3}\.[0-9]{1,3}</host>
			<host desc="The IPv4 private 10.0.0.0/8 subnet (Podman).">10\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}</host>
			<host desc="Ditto, but as IPv4-mapped IPv6 addresses">::ffff:10\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}</host>
			<host desc="Localhost access by name">localhost</host>
		</lok_allow>
		<content_security_policy desc="Customize the CSP header by specifying one or more policy-directive, separated by semicolons. See w3.org/TR/CSP2"/>
		<frame_ancestors desc="OBSOLETE: Use content_security_policy. Specify who is allowed to embed the Collabora Online iframe (coolwsd and WOPI host are always allowed). Separate multiple hosts by space."/>
		<connection_timeout_secs default="30" desc="Specifies the connection, send, recv timeout in seconds for connections initiated by coolwsd (such as WOPI connections)." type="int">30</connection_timeout_secs>
		<!-- this setting radically changes how online works, it should not be used in a production environment -->
		<proxy_prefix default="false" desc="Enable a ProxyPrefix to be passed-in through which to redirect requests" type="bool">false</proxy_prefix>
	</net>
	<ssl desc="SSL settings">
		<!-- switches from https:// + wss:// to http:// + ws:// -->
		<enable default="true" desc="Controls whether SSL encryption between coolwsd and the network is enabled (do not disable for production deployment). If default is false, must first be compiled with SSL support to enable." type="bool">false</enable>
		<!-- SSL off-load can be done in a proxy, if so disable SSL, and enable termination below in production -->
		<termination default="false" desc="Connection via proxy where coolwsd acts as working via https, but actually uses http." type="bool">true</termination>
		<cert_file_path desc="Path to the cert file" relative="false" type="path">/etc/coolwsd/cert.pem</cert_file_path>
		<key_file_path desc="Path to the key file" relative="false" type="path">/etc/coolwsd/key.pem</key_file_path>
		<ca_file_path desc="Path to the ca file" relative="false" type="path">/etc/coolwsd/ca-chain.cert.pem</ca_file_path>
		<ssl_verification default="false" desc="Enable or disable SSL verification of hosts remote to coolwsd. If true SSL verification will be strict, otherwise certs of hosts will not be verified. You may have to disable it in test environments with self-signed certificates." type="string">false</ssl_verification>
		<cipher_list default="ALL:!ADH:!LOW:!EXP:!MD5:@STRENGTH" desc="List of OpenSSL ciphers to accept" type="string"/>
		<hpkp desc="Enable HTTP Public key pinning" enable="false" report_only="false">
			<max_age default="1000" desc="HPKP's max-age directive - time in seconds browser should remember the pins" enable="true" type="uint">1000</max_age>
			<report_uri desc="HPKP's report-uri directive - pin validation failure are reported at this URL" enable="false" type="string"/>
			<pins desc="Base64 encoded SPKI fingerprints of keys to be pinned">
				<pin/>
			</pins>
		</hpkp>
		<sts desc="Strict-Transport-Security settings, per rfc6797. Subdomains are always included.">
			<enabled default="false" desc="Whether or not Strict-Transport-Security is enabled. Enable only when ready for production. Cannot be disabled without resetting the browsers." type="bool">false</enabled>
			<max_age default="31536000" desc="Strict-Transport-Security max-age directive, in seconds. 0 is allowed; please see rfc6797 for details. Defaults to 1 year." type="int">31536000</max_age>
		</sts>
	</ssl>
	<security desc="Altering these defaults potentially opens you to significant risk">
		<seccomp default="true" desc="Should failure to enable seccomp system call filtering be a fatal error." type="bool">true</seccomp>
		<!-- deprecated: If capabilities is 'false', coolwsd will assume mount_namespaces of 'true' to achieve
           this goal, only avoiding chroot for process isolation if linux namespaces are unavailable -->
		<capabilities default="true" desc="Should we require capabilities to isolate processes into chroot jails" type="bool">true</capabilities>
		<jwt_expiry_secs default="1800" desc="Time in seconds before the Admin Console's JWT token expires" type="int">1800</jwt_expiry_secs>
		<enable_macros_execution default="false" desc="Specifies whether the macro execution is enabled in general. This will enable Basic and Python scripts to execute both installed and from documents. If it is set to false, the macro_security_level is ignored. If it is set to true, the mentioned entry specified the level of macro security." type="bool">false</enable_macros_execution>
		<macro_security_level default="1" desc="Level of Macro security. 1 (Medium) Confirmation required before executing macros from untrusted sources. 0 (Low, not recommended) All macros will be executed without confirmation." type="int">1</macro_security_level>
		<enable_websocket_urp default="false" desc="Should we enable URP (UNO remote protocol) communication over the websocket. This allows full control of the Kit child server to anyone with access to the websocket including executing macros without confirmation or running arbitrary shell commands in the jail." type="bool">false</enable_websocket_urp>
		<enable_metrics_unauthenticated default="false" desc="When enabled, the /cool/getMetrics endpoint will not require authentication." type="bool">false</enable_metrics_unauthenticated>
		<server_signature default="false" desc="Whether to send server signature in HTTP response headers" type="bool">false</server_signature>
	</security>
	<certificates>
		<database_path default="" desc="Path to the NSS certificates that are available to all users" type="string"/>
	</certificates>
	<watermark>
		<opacity default="0.2" desc="Opacity of on-screen watermark from 0.0 to 1.0" type="double">0.2</opacity>
		<text desc="Watermark text to be displayed on the document if entered" type="string"/>
	</watermark>
	<user_interface>
		<mode default="default" desc="Controls the user interface style. The 'default' means: Take the value from ui_defaults, or decide for one of compact or tabbed (default|compact|tabbed)" type="string">default</mode>
		<use_integration_theme default="true" desc="Use theme from the integrator" type="bool">true</use_integration_theme>
		<statusbar_save_indicator default="true" desc="Show saving status indicator in the statusbar" type="bool">true</statusbar_save_indicator>
	</user_interface>
	<storage desc="Backend storage">
		<filesystem allow="false"/>
		<wopi allow="true" desc="Allow/deny wopi storage.">
			<max_file_size desc="Maximum document size in bytes to load. 0 for unlimited." type="uint">0</max_file_size>
			<locking desc="Locking settings">
				<refresh default="900" desc="How frequently we should re-acquire a lock with the storage server, in seconds (default 15 mins) or 0 for no refresh" type="int">900</refresh>
			</locking>
			<alias_groups desc="default mode is 'first' it allows only the first host when groups are not defined. set mode to 'groups' and define group to allow multiple host and its aliases" mode="first">
				<!-- If you need to use multiple wopi hosts, please change the mode to "groups" and
                    add the hosts below.  If one host is accessible under multiple ip addresses
                    or names, add them as aliases. -->
				<!--<group>
                    <host desc="hostname to allow or deny." allow="true">scheme://hostname:port</host>
                    <alias desc="regex pattern of aliasname">scheme://aliasname1:port</alias>
                    <alias desc="regex pattern of aliasname">scheme://aliasname2:port</alias>
                    
            </group>-->
				<!-- More "group"s possible here -->
			</alias_groups>
			<is_legacy_server default="false" desc="Set to true for legacy server that need deprecated headers." type="bool">false</is_legacy_server>
			<host>forbion.f7cloud.ru</host>
		</wopi>
		<ssl desc="SSL settings">
			<as_scheme default="true" desc="When set we exclusively use the WOPI URI's scheme to enable SSL for storage" type="bool">true</as_scheme>
			<enable desc="If as_scheme is false or not set, this can be set to force SSL encryption between storage and coolwsd. When empty this defaults to following the ssl.enable setting" type="bool"/>
			<cert_file_path desc="Path to the cert file. When empty this defaults to following the ssl.cert_file_path setting" relative="false" type="path"/>
			<key_file_path desc="Path to the key file. When empty this defaults to following the ssl.key_file_path setting" relative="false" type="path"/>
			<ca_file_path desc="Path to the ca file. When empty this defaults to following the ssl.ca_file_path setting" relative="false" type="path"/>
			<cipher_list desc="List of OpenSSL ciphers to accept. If empty the defaults are used. These can be overridden only if absolutely needed."/>
		</ssl>
	</storage>
	<admin_console desc="Web admin console settings.">
		<enable default="true" desc="Enable the admin console functionality" type="bool">true</enable>
		<enable_pam default="false" desc="Enable admin user authentication with PAM" type="bool">false</enable_pam>
		<username desc="The username of the admin console. Ignored if PAM is enabled.">admin</username>
		<password desc="The password of the admin console. Deprecated on most platforms. Instead, use PAM or coolconfig to set up a secure password."/>
		<logging desc="Log admin activities irrespective of logging.level">
			<admin_login default="true" desc="log when an admin logged into the console" type="bool">true</admin_login>
			<metrics_fetch default="true" desc="log when metrics endpoint is accessed and metrics endpoint authentication is enabled" type="bool">true</metrics_fetch>
			<monitor_connect default="true" desc="log when external monitor gets connected" type="bool">true</monitor_connect>
			<admin_action default="true" desc="log when admin does some action for example killing a process" type="bool">true</admin_action>
		</logging>
		<secure_password desc="Salt and password hash combination generated using PBKDF2 with SHA512 digest.">pbkdf2.sha512.10000.e5b0783e9d8235df727f48051740aa045efccd3d4b38666a5f4ed740bdbc60247dfd54610cb6ce346417693d1fa1dafa3accb79fca174e560163342374c8d961264ebfab1db2a1784e7f2ac336e5cfad5a124992e6ba0dd2a6017ccdabc23307a432e9391ebacd36e95e8059db7af463f6a3534a7deca1f0ec2ff12357f6f668.bc9aefb5640087b04aff603cd81ade59078264d8e92b35195d97f72ae6cffe390ea1a031df50d05fe30618d4d4fc0911799e42e27653f9be7a6757ed5e353d2b958950b1940d7fe1a397a3ef02505117dc8ce882f4a20e73575c8dcbdd3f11b303959992bb78c5e0412c5bc44505ca2b597c0ed573a6dda02450b769a78c72a4</secure_password>
	</admin_console>
	<monitors desc="Addresses of servers we connect to on start for monitoring">
		<!-- <monitor desc="Address of the monitor and interval after which it should try reconnecting after disconnect" retryInterval="20">wss://foobar:234/ws</monitor> -->
	</monitors>
	<quarantine_files default="false" desc="Files are stored here to be examined later in cases of crashes or similar situation." enable="false">
		<limit_dir_size_mb default="250" desc="Maximum directory size, in MBs. On exceeding the specified limit, older files will be deleted." type="uint">250</limit_dir_size_mb>
		<max_versions_to_maintain default="5" desc="How many versions of the same file to keep." type="uint">5</max_versions_to_maintain>
		<path desc="Absolute path of the directory under which quarantined files will be stored. Do not use a relative path." relative="false" type="path"/>
		<expiry_min default="3000" desc="Time in mins after quarantined files will be deleted." type="int">3000</expiry_min>
	</quarantine_files>
	<cache_files desc="Files are cached here to speed up config support.">
		<path desc="Absolute path of the directory under which cached files will be stored. Do not use a relative path." relative="false" type="path"/>
		<expiry_min default="3000" desc="Time in mins after disuse at which cache files will be deleted." type="int">1000</expiry_min>
	</cache_files>
	<extra_export_formats desc="Enable various extra export formats for additional compatibility. Note that disabling options here *only* disables them visually: these are all 'safe' to export, it might just be undesirable to show them, so you can't disable exporting these server-side">
		<impress_swf default="false" desc="Enable exporting Adobe flash .swf files from presentations" type="bool">false</impress_swf>
		<impress_bmp default="false" desc="Enable exporting .bmp bitmap files from presentation slides" type="bool">false</impress_bmp>
		<impress_gif default="false" desc="Enable exporting .gif image files from presentation slides" type="bool">false</impress_gif>
		<impress_png default="false" desc="Enable exporting .png image files from presentation slides" type="bool">false</impress_png>
		<impress_svg default="false" desc="Enable exporting interactive .svg image files from presentations" type="bool">false</impress_svg>
		<impress_tiff default="false" desc="Enable exporting .tiff image files from presentation slides" type="bool">false</impress_tiff>
	</extra_export_formats>
	<serverside_config>
		<idle_timeout_secs default="3600" desc="The maximum number of seconds before unloading an idle sub forkit. Defaults to 1 hour." type="uint">3600</idle_timeout_secs>
	</serverside_config>
	<remote_config>
		<remote_url default="" desc="remote server to which you will send request to get remote config in response" type="string"/>
	</remote_config>
	<stop_on_config_change default="false" desc="Stop coolwsd whenever config files change." type="bool">false</stop_on_config_change>
	<remote_font_config>
		<url default="" desc="URL of optional JSON file that lists fonts to be included in Online" type="string"/>
	</remote_font_config>
	<fonts_missing>
		<handling default="log" desc="How to handle fonts missing in a document: 'report', 'log', 'both', or 'ignore'" type="string">log</handling>
	</fonts_missing>
	<indirection_endpoint>
		<url default="" desc="URL endpoint to server which servers routeToken in json format" type="string"/>
		<migration_timeout_secs default="180" desc="The maximum number of seconds waiting for shutdown migration message from indirection server before unloading an document. Defaults to 180 second." type="uint">180</migration_timeout_secs>
		<geolocation_setup>
			<enable default="false" desc="Enable geolocation_setup when using indirection server with geolocation configuration" type="bool">false</enable>
			<timezone desc="IANA timezone of server. For example: Europe/Berlin" type="string"/>
			<allowed_websocket_origins desc="Origin header to get accepted during websocket upgrade">
				<!-- <origin></origin> -->
			</allowed_websocket_origins>
		</geolocation_setup>
		<server_name default="" desc="server name to show in cluster overview admin panel" type="string"/>
	</indirection_endpoint>
	<home_mode>
		<enable default="false" desc="Home users can enable this setting, which in turn disables welcome screen and user feedback popups, but also limits concurrent open connections to 20 and concurrent open documents to 10. The default means that number of concurrent open connections and concurrent open documents are unlimited, but welcome screen and user feedback cannot be switched off." type="bool">true</enable>
	</home_mode>
	<zotero desc="Zotero plugin configuration. For more details about Zotero visit https://www.zotero.org/">
		<enable default="true" desc="Enable Zotero plugin." type="bool">true</enable>
	</zotero>
	<help_url default="https://help.collaboraoffice.com/help.html?" desc="The Help root URL, or empty for no help (hides the Help buttons)" type="string">https://help.collaboraoffice.com/help.html?</help_url>
	<overwrite_mode>
		<enable default="false" desc="Enable overwrite mode (user can use insert key)" type="bool">false</enable>
	</overwrite_mode>
	<wasm desc="WASM-specific settings">
		<enable default="false" desc="Enable WASM support" type="bool">false</enable>
		<force default="false" desc="When enabled, all requests are redirected to WASM." type="bool">false</force>
	</wasm>
	<document_signing desc="Document signing settings">
		<enable default="true" desc="Enable document signing" type="bool">true</enable>
	</document_signing>
</config>
